# aws_inspector_target – Create, Update and Delete Amazon Inspector Assessment Targets

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Creates, updates, or deletes Amazon Inspector Assessment Targets and manages the required Resource Groups.

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- botocore

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key

debug_botocore_endpoint_logs
boolean
added in 2.8

Choices:
- no ←
- yes

Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.

ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
name - / required |  | The user-defined name that identifies the assessment target. The name must be unique within the AWS account.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token

state
-

Choices:
- absent
- present ←

The state of the assessment target.

tags - |  | Tags of the EC2 instances to be added to the assessment target. Required if `state=present`.

validate_certs
boolean

Choices:
- no
- yes ←

When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    - name: Create my_target Assessment Target
      aws_inspector_target:
        name: my_target
        tags:
          role: scan_target

    - name: Update Existing my_target Assessment Target with Additional Tags
      aws_inspector_target:
        name: my_target
        tags:
          env: dev
          role: scan_target

    - name: Delete my_target Assessment Target
      aws_inspector_target:
        name: my_target
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
arn string | success | The ARN that specifies the Amazon Inspector assessment target. Sample: arn:aws:inspector:eu-west-1:123456789012:target/0-O4LnL7n1
created_at string | success | The time at which the assessment target was created. Sample: 2018-01-29T13:48:51.958000+00:00
name string | success | The name of the Amazon Inspector assessment target. Sample: my_target
resource_group_arn string | success | The ARN that specifies the resource group that is associated with the assessment target. Sample: arn:aws:inspector:eu-west-1:123456789012:resourcegroup/0-qY4gDel8
tags list | success | The tags of the resource group that is associated with the assessment target. Sample: {'role': 'scan_target', 'env': 'dev'}
updated_at string | success | The time at which the assessment target was last updated. Sample: 2018-01-29T13:48:51.958000+00:00

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Dennis Conrad (@dennisconrad)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.